io.milvus.param.partition

## Class DropPartitionParam.Builder

- java.lang.Object
- - io.milvus.param.partition.DropPartitionParam.Builder

- Enclosing class:
    DropPartitionParam

      public static final class DropPartitionParam.Builder
      extends java.lang.Object

  Builder for `DropPartitionParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DropPartitionParam` | `build()` Verifies parameters and creates a new `DropPartitionParam` instance.
    `DropPartitionParam.Builder` | `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
    `DropPartitionParam.Builder` | `withDatabaseName(java.lang.String databaseName)` Sets the database name.
    `DropPartitionParam.Builder` | `withPartitionName(@NonNull java.lang.String partitionName)` Sets the partition name.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withDatabaseName

          public DropPartitionParam.Builder withDatabaseName(java.lang.String databaseName)

      Sets the database name. database name can be nil.
      Parameters:
        `databaseName` - database name
      Returns:
        `Builder`

    - #### withCollectionName

          public DropPartitionParam.Builder withCollectionName(@NonNull
                                                               @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withPartitionName

          public DropPartitionParam.Builder withPartitionName(@NonNull
                                                              @NonNull java.lang.String partitionName)

      Sets the partition name. Partition name cannot be empty or null.
      Parameters:
        `partitionName` - partition name
      Returns:
        `Builder`

    - #### build

          public DropPartitionParam build()
                                   throws ParamException

      Verifies parameters and creates a new `DropPartitionParam` instance.
      Returns:
        `DropPartitionParam`
      Throws:
        `ParamException`